Subject: [dns-privacy] [IANA #1228441] Protocol Action: 'DNS over Dedicated QUIC Connections' to Proposed Standard (draft-ietf-dprive-dnsoquic-11.txt)

From: "Amanda Baber via RT" <[email-masked]>
Date: Sat, 02 Apr 2022 01:06:52 +0000

Dear Authors:

ATTENTION: A RESPONSE TO THIS MESSAGE IS NEEDED 

We've completed the registry actions for the following RFC-to-be:

draft-ietf-dprive-dnsoquic-11

ACTION 1:

The following entry has been added to the TLS Application-Layer Protocol Negotiation (ALPN) Protocol IDs registry:

DoQ	0x64 0x6F 0x71 ("doq")	[RFC-ietf-dprive-dnsoquic-11]

Please see
https://www.iana.org/assignments/tls-extensiontype-values

ACTION 2:

An additional reference and an updated description have been listed for UDP port 853, and the word "DTLS" has been removed from the description of the corresponding TCP port. These two registrations now read as follows:

Service Name: domain-s
Port Number: 853
Transport Protocol: tcp
Description: DNS query-response protocol run over TLS
Assignee: [IESG]
Contact: [IETF Chair]
Registration Date: 2015-10-08
Modification Date: 2022-04-01	
Reference: [RFC7858][RFC8094]

Service Name: domain-s	
Port Number: 853
Transport Protocol: udp	
Description: DNS query-response protocol run over DTLS or QUIC
Assignee: [IESG]
Contact: [IETF Chair]
Registration Date: 2015-10-08
Modification Date: 2022-04-01
Reference: [RFC7858][RFC8094][RFC-ietf-dprive-dnsoquic-11]

Please see
https://www.iana.org/assignments/service-names-port-numbers

ACTION 3:

The following entry has been added to the Extended DNS Error Codes registry:

26	Too Early	[RFC-ietf-dprive-dnsoquic-11]

Please see
https://www.iana.org/assignments/dns-parameters

ACTION 4:

The following registry has been created under the "Domain Name System (DNS) Parameters" heading:

DNS over QUIC Error Codes
Expert(s): Unassigned
Reference: [RFC-ietf-dprive-dnsoquic-11]
Available Formats

Range 	Registration Procedures 
provisional (greater than 0x3f)	Expert Review
provisional registration Date field update	First Come First Served
permanent, 0x00-0x3f	Standards Action or IESG Approval
permanent, greater than 0x3f	Specification Required

Value 	Error 	Description 	Status 	Specification 	Date 	Contact 

0x0	DOQ_NO_ERROR	No error	permanent	[RFC-ietf-dprive-dnsoquic-11, Section 5.3]	2022-04-01	[DPRIVE_WG]

0x1	DOQ_INTERNAL_ERROR	Implementation error	permanent	[RFC-ietf-dprive-dnsoquic-11, Section 5.3]	2022-04-01	[DPRIVE_WG]

0x2	DOQ_PROTOCOL_ERROR	Generic protocol violation	permanent	[RFC-ietf-dprive-dnsoquic-11, Section 5.3]	2022-04-01	[DPRIVE_WG]

0x3	DOQ_REQUEST_CANCELLED	Request cancelled by client	permanent	[RFC-ietf-dprive-dnsoquic-11, Section 5.3]	2022-04-01	[DPRIVE_WG]

0x4	DOQ_EXCESSIVE_LOAD	Closing a connection for excessive load	permanent	[RFC-ietf-dprive-dnsoquic-11, Section 5.3]	2022-04-01	[DPRIVE_WG]

0x5	DOQ_UNSPECIFIED_ERROR	No error reason specified	permanent	[RFC-ietf-dprive-dnsoquic-11, Section 5.3]	2022-04-01	[DPRIVE_WG]

0xd098ea5e	DOQ_ERROR_RESERVED	Alternative error code used for tests	permanent	[RFC-ietf-dprive-dnsoquic-11, Section 5.3]	2022-04-01	[DPRIVE_WG]

Please see
https://www.iana.org/assignments/dns-parameters

Please let us know whether this document's registry actions have been completed correctly. Once we receive your confirmation, we'll notify the RFC Editor that the actions are complete. If a team of authors is responsible for the document, and the actions have been performed correctly, please send a single confirmation message.

We'll update any references to this document in the registries when the RFC Editor notifies us that they've assigned an RFC number.

Best regards,

Amanda Baber
IANA Operations Manager

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Fri, 08 Apr 2022 19:34:27 +0000

Dear Authors,

This is a reminder that we need a reply to the message below.

Best regards,

Amanda Baber
IANA Operations Manager

On Sat Apr 02 01:06:51 2022, amanda.baber wrote:
> The following entry has been added to the TLS Application-Layer
> Protocol Negotiation (ALPN) Protocol IDs registry:
> 
> An additional reference and an updated description have been listed
> for UDP port 853, and the word "DTLS" has been removed from the
> description of the corresponding TCP port. These two registrations now
> read as follows:
> 
> Service Name: domain-s
> Port Number: 853
> Transport Protocol: tcp
> 0x0     DOQ_NO_ERROR    No error        permanent       [RFC-ietf-
> dprive-dnsoquic-11, Section 5.3]      2022-04-01      [DPRIVE_WG]
> 
> 0x1     DOQ_INTERNAL_ERROR      Implementation error    permanent
> [RFC-ietf-dprive-dnsoquic-11, Section 5.3]      2022-04-01
> [DPRIVE_WG]
> 
> 0x2     DOQ_PROTOCOL_ERROR      Generic protocol violation
> permanent       [RFC-ietf-dprive-dnsoquic-11, Section 5.3]      2022-
> 04-01      [DPRIVE_WG]
> 
> 0x3     DOQ_REQUEST_CANCELLED   Request cancelled by client
> permanent       [RFC-ietf-dprive-dnsoquic-11, Section 5.3]      2022-
> 04-01      [DPRIVE_WG]
> 
> 0x4     DOQ_EXCESSIVE_LOAD      Closing a connection for excessive
> load permanent       [RFC-ietf-dprive-dnsoquic-11, Section 5.3]
> 2022-04-01      [DPRIVE_WG]
> 
> 0x5     DOQ_UNSPECIFIED_ERROR   No error reason specified
> permanent       [RFC-ietf-dprive-dnsoquic-11, Section 5.3]      2022-
> 04-01      [DPRIVE_WG]
> 
> 0xd098ea5e      DOQ_ERROR_RESERVED      Alternative error code used
> for tests   permanent       [RFC-ietf-dprive-dnsoquic-11, Section 5.3]
> 2022-04-01      [DPRIVE_WG]
> 
> Please see
> Please let us know whether this document's registry actions have been
> completed correctly. Once we receive your confirmation, we'll notify
> the RFC Editor that the actions are complete. If a team of authors is
> responsible for the document, and the actions have been performed
> correctly, please send a single confirmation message.
> 
> We'll update any references to this document in the registries when
> the RFC Editor notifies us that they've assigned an RFC number.
> 
> Best regards,
> 
> Amanda Baber
> IANA Operations Manager

---

From: Sara Dickinson <[email-masked]>
Date: Sat, 9 Apr 2022 16:45:42 +0100

Hi Amanda,

Thank you - all the changes look correct but we have one minor request. 

Given that DNS-over-DTLS has been removed from the port 853 TCP entry ‘description' field, it seems correct to also remove the reference to RFC8094 from the ‘reference’ field for consistency. Could that change please be made?

Best regards

Sara. 

> On 8 Apr 2022, at 20:34, Amanda Baber via RT <[email-masked]> wrote:
> 
> Dear Authors,
>

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 11 Apr 2022 14:07:34 +0000

Thank you, Sara, for the clarification.

Regards

-éric

-----Original Message-----
From: Sara Dickinson <[email-masked]>
Date: Monday, 11 April 2022 at 15:39
To: Eric Vyncke <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Martin Duke <[email-masked]>, Zaheduzzaman Sarker <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Erik Kline <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [IANA #1228441] Protocol Action: 'DNS over Dedicated QUIC Connections' to Proposed Standard (draft-ietf-dprive-dnsoquic-11.txt)

    Just to clarify the request is remove the RFC8094 reference against the TCP port assignment (because the description was modified to remove DTLS from this port description). DNS-over-DTLS  would remain listed against the UDP port assignment as previously agreed, and as listed below.

    Sara. 

    > On 11 Apr 2022, at 14:15, Eric Vyncke (evyncke) <[email-masked]> wrote:
    > 
    > Let me loop in the TSV Area Directors as they may share my view that DNS-over-DTLS should be kept in the IANA registry
    > 
    > -éric
    > 
    > 
    > -----Original Message-----
    > From: Sara Dickinson <[email-masked]>
    > Date: Saturday, 9 April 2022 at 17:47
    > To: "[email-masked]" <[email-masked]>
    > Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Eric Vyncke <[email-masked]>, Erik Kline <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
    > Subject: Re: [IANA #1228441] Protocol Action: 'DNS over Dedicated QUIC Connections' to Proposed Standard (draft-ietf-dprive-dnsoquic-11.txt)
    > 
    >    Hi Amanda,
    >

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Mon, 11 Apr 2022 13:15:56 +0000

-éric

-----Original Message-----
From: Sara Dickinson <[email-masked]>
Date: Saturday, 9 April 2022 at 17:47
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Eric Vyncke <[email-masked]>, Erik Kline <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [IANA #1228441] Protocol Action: 'DNS over Dedicated QUIC Connections' to Proposed Standard (draft-ietf-dprive-dnsoquic-11.txt)

    Hi Amanda,

    Best regards

    Sara.

---

From: Sara Dickinson <[email-masked]>
Date: Mon, 11 Apr 2022 14:38:06 +0100

Sara.

---

From: Martin Duke <[email-masked]>
Date: Mon, 11 Apr 2022 07:57:08 -0700

Yes: DoT for the TCP port and QUIC/DTLS for the UDP port.

On Mon, Apr 11, 2022 at 6:39 AM Sara Dickinson <[email-masked]> wrote:

> Just to clarify the request is remove the RFC8094 reference against the
> TCP port assignment (because the description was modified to remove DTLS
> from this port description). DNS-over-DTLS  would remain listed against the
> UDP port assignment as previously agreed, and as listed below.
>
> Sara.
>
> > Let me loop in the TSV Area Directors as they may share my view that
> DNS-over-DTLS should be kept in the IANA registry
> >
> > -éric
> >
> >
> > Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <
> [email-masked]>, Eric Vyncke <[email-masked]>, Erik Kline <
> [email-masked]>, "[email-masked]" <[email-masked]>, "
> [email-masked]" <[email-masked]>, "
> [email-masked]" <[email-masked]>
> > Subject: Re: [IANA #1228441] Protocol Action: 'DNS over Dedicated QUIC
> Connections' to Proposed Standard (draft-ietf-dprive-dnsoquic-11.txt)
> >
> >    Hi Amanda,
> >
> >    Given that DNS-over-DTLS has been removed from the port 853 TCP entry
> ‘description' field, it seems correct to also remove the reference to
> RFC8094 from the ‘reference’ field for consistency. Could that change
> please be made?
> >
> >    Best regards
> >
> >    Sara.
> >
> >>> Service Name: domain-s
> >>> Port Number: 853
> >>> Transport Protocol: tcp

---

From: "Amanda Baber via RT" <[email-masked]>
Date: Mon, 11 Apr 2022 18:05:34 +0000

Hi all,

We've removed RFC 8094 from the reference field for the tcp port:

https://www.iana.org/assignments/service-names-port-numbers/service-names-port-numbers.xhtml?search=domain-s

It might be appropriate to make a change like this to the IANA Considerations section:

OLD:

Additionally, IANA is requested to update the Description field for
the corresponding TCP port 853 allocation to be 'DNS query-response
protocol run over TLS' for consistency and clarity.

NEW:

Additionally, IANA is requested to update the Description field for
the corresponding TCP port 853 allocation to be 'DNS query-response
protocol run over TLS' for consistency and clarity and to remove 
RFC 8094 from the TCP allocation's Reference field.

I'll tell the RFC Editor the actions are complete.

thanks,
Amanda

On Mon Apr 11 14:57:46 2022, [email-masked] wrote:
> > >> On 8 Apr 2022, at 20:34, Amanda Baber via RT <drafts-
> > >> [email-masked]>
> > wrote:
> > >>
> > >> Dear Authors,
> > >>
> > >>> The following entry has been added to the Extended DNS Error
> > >>> Codes
> > >>> registry:
> > >>>
> > >>> The following registry has been created under the "Domain Name
> > >>> System
> > >>> (DNS) Parameters" heading:
> > >>>

---

From: Sara Dickinson <[email-masked]>
Date: Tue, 12 Apr 2022 08:46:00 +0100

Hi Amanda, 

Thank you for the change - looks good. And the proposed text update makes sense too. 

Many thanks

Sara. 

> On 11 Apr 2022, at 19:05, Amanda Baber via RT <[email-masked]> wrote:
> 
> Hi all,
>